config: conf/train_lm.yaml
print_config: false
log_level: INFO
drop_last_iter: false
dry_run: false
iterator_type: sequence
valid_iterator_type: null
output_dir: models/stt/Basque Transducer-Conformer STT v0.1.0/lm_train_lm_eu_bpe150
ngpu: 1
seed: 0
num_workers: 1
num_att_plot: 3
dist_backend: nccl
dist_init_method: env://
dist_world_size: null
dist_rank: null
local_rank: 0
dist_master_addr: null
dist_master_port: null
dist_launcher: null
multiprocessing_distributed: false
unused_parameters: false
sharded_ddp: false
cudnn_enabled: true
cudnn_benchmark: false
cudnn_deterministic: true
collect_stats: false
write_collected_feats: false
max_epoch: 20
patience: 3
val_scheduler_criterion:
- valid
- loss
early_stopping_criterion:
- valid
- loss
- min
best_model_criterion:
-   - valid
    - loss
    - min
keep_nbest_models: 1
nbest_averaging_interval: 0
grad_clip: 5.0
grad_clip_type: 2.0
grad_noise: false
accum_grad: 1
no_forward_run: false
resume: true
train_dtype: float32
use_amp: false
log_interval: null
use_matplotlib: true
use_tensorboard: true
create_graph_in_tensorboard: false
use_wandb: false
wandb_project: null
wandb_id: null
wandb_entity: null
wandb_name: null
wandb_model_log_interval: -1
detect_anomaly: false
pretrain_path: null
init_param: []
ignore_init_mismatch: false
freeze_param: []
num_iters_per_epoch: null
batch_size: 64
valid_batch_size: null
batch_bins: 1000000
valid_batch_bins: null
train_shape_file:
- models/stt/Basque Transducer-Conformer STT v0.1.0/lm_stats_eu_bpe150/train/text_shape.bpe
valid_shape_file:
- models/stt/Basque Transducer-Conformer STT v0.1.0/lm_stats_eu_bpe150/valid/text_shape.bpe
batch_type: folded
valid_batch_type: null
fold_length:
- 150
sort_in_batch: descending
shuffle_within_batch: false
sort_batch: descending
multiple_iterator: false
chunk_length: 500
chunk_shift_ratio: 0.5
num_cache_chunks: 1024
chunk_excluded_key_prefixes: []
train_data_path_and_name_and_type:
-   - dump/raw/lm_train.txt
    - text
    - text
valid_data_path_and_name_and_type:
-   - dump/raw/org/dev_eu/text
    - text
    - text
allow_variable_data_keys: false
max_cache_size: 0.0
max_cache_fd: 32
valid_max_cache_size: null
exclude_weight_decay: false
exclude_weight_decay_conf: {}
optim: sgd
optim_conf: {}
scheduler: null
scheduler_conf: {}
token_list:
- <blank>
- <unk>
- A
- ▁
- I
- E
- Z
- .
- R
- N
- U
- S
- O
- T
- KO
- K
- ▁E
- TU
- TE
- RA
- EN
- L
- ','
- LA
- TA
- AK
- ▁A
- AN
- ▁DA
- RE
- KA
- P
- GO
- IN
- B
- M
- ▁DU
- RI
- GU
- ▁ETA
- D
- ER
- UR
- ▁BA
- ▁P
- H
- MA
- ▁G
- ▁I
- ▁HA
- TZEN
- LE
- ▁EZ
- ▁O
- EK
- GI
- ▁BAT
- DA
- DU
- TZA
- KI
- DI
- RO
- ▁GA
- REN
- AR
- TEN
- GA
- TIK
- RRI
- ▁BI
- LI
- ▁BER
- G
- ▁AR
- TO
- ERA
- AREN
- ▁ZI
- ▁DE
- ▁BE
- X
- BA
- ▁DI
- ▁IZAN
- ▁ZE
- ETAN
- ▁ZEN
- EAN
- IA
- ▁JA
- ▁ERE
- ▁DITU
- ▁ZA
- ▁ERA
- LO
- ▁HOR
- NTZ
- ▁DIRA
- MEN
- ▁HI
- ▁F
- F
- LDE
- ZIO
- '?'
- ▁ZU
- '-'
- DO
- ▁EGIN
- TZEKO
- ▁BEHAR
- TZI
- BIL
- ▁IN
- RIK
- ▁HORI
- ▁SA
- ▁NA
- BIDE
- ▁KON
- ▁HE
- ▁ZUEN
- ▁MU
- ▁BESTE
- ▁SO
- ▁HERRI
- ▁IKAS
- ▁NO
- ▁ALD
- ▁NI
- ▁TX
- ABE
- KETA
- ▁BAINA
- C
- '!'
- V
- Y
- ':'
- ;
- '"'
- Í
- Q
- Ñ
- W
- J
- ‘
- ’
- <sos/eos>
init: null
model_conf:
    ignore_id: 0
use_preprocessor: true
token_type: bpe
bpemodel: models/stt/Basque Transducer-Conformer STT v0.1.0/data/eu_token_list/bpe_unigram150/bpe.model
non_linguistic_symbols: null
cleaner: null
g2p: null
lm: seq_rnn
lm_conf:
    nlayers: 2
    unit: 650
required:
- output_dir
- token_list
version: '202308'
distributed: false
